Bug 558172

Summary: zfs-fuse hangs on complex pools.
Product: [Fedora] Fedora Reporter: Sean Reifschneider <jafo>
Component: zfs-fuseAssignee: Uwe Kubosch <uwe>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: low    
Version: 13CC: uwe
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: zfs-fuse-0.6.9-5.fc13 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-07-13 07:24:20 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Sean Reifschneider 2010-01-24 03:24:16 UTC
Description of problem:
On more complex pools (say with 14 devices), zfs-fuse will frequently hang.

Version-Release number of selected component (if applicable):
0.6.0

How reproducible:
This is reproducible when the combined size of the device names in the pool gets close to a kilobyte.

Steps to Reproduce:
1. Create a pool with 14 devices where each device name is 30 to 50 characters long.
2. Run "zpool status" and "zpool scrub" and then "zpool status" again.
  
Actual results:
"zpool status" will hang, "zfs-fuse" daemon will consume 100% CPU, drive pool may beome corrupted.

Expected results:
None of the above.

Additional info:
I have applied the small patch towards the bottom of this mailing list discussion which resolves this problem:

   http://groups.google.com/group/zfs-fuse/browse_thread/thread/e2af581c852ac817

Additional details are in the ZFS-FUSE bug-tracker issue #13 at:

   http://zfs-fuse.net/issues/13

Comment 1 Sean Reifschneider 2010-01-27 03:09:10 UTC
Note that shortly a 0.6.1 will likely be tagged that has this and other critical fixes in it over 0.6.0.

Comment 2 Uwe Kubosch 2010-01-27 11:07:16 UTC
I will release zfs-fuse 0.6.1 as soon as it is tagged and a tarball is available.

Comment 3 Bug Zapper 2010-03-15 14:11:54 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Fedora Update System 2010-05-17 21:34:14 UTC
zfs-fuse-0.6.9-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/zfs-fuse-0.6.9-0.fc12

Comment 5 Fedora Update System 2010-05-18 21:51:16 UTC
zfs-fuse-0.6.9-0.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update zfs-fuse'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/zfs-fuse-0.6.9-0.fc12

Comment 6 Fedora Update System 2010-05-22 20:53:44 UTC
zfs-fuse-0.6.9_beta3-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/zfs-fuse-0.6.9_beta3-0.fc12

Comment 7 Fedora Update System 2010-05-22 23:50:16 UTC
zfs-fuse-0.6.9_beta3-6.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/zfs-fuse-0.6.9_beta3-6.fc13

Comment 8 Fedora Update System 2010-05-24 19:33:13 UTC
zfs-fuse-0.6.9_beta3-6.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update zfs-fuse'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/zfs-fuse-0.6.9_beta3-6.fc13

Comment 9 Fedora Update System 2010-05-24 19:47:50 UTC
zfs-fuse-0.6.9_beta3-0.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update zfs-fuse'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/zfs-fuse-0.6.9_beta3-0.fc12

Comment 10 Fedora Update System 2010-07-04 01:06:40 UTC
zfs-fuse-0.6.9-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/zfs-fuse-0.6.9-2.fc13

Comment 11 Fedora Update System 2010-07-04 01:09:36 UTC
zfs-fuse-0.6.9-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/zfs-fuse-0.6.9-2.fc12

Comment 12 Sean Reifschneider 2010-07-04 05:36:02 UTC
I've run extensive testing against the upstream 0.6.9 zfs-fuse branch and it definitely resolves this issue.

Thanks,
Sean

Comment 13 Fedora Update System 2010-07-04 13:58:20 UTC
zfs-fuse-0.6.9-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/zfs-fuse-0.6.9-4.fc12

Comment 14 Fedora Update System 2010-07-04 14:36:51 UTC
zfs-fuse-0.6.9-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/zfs-fuse-0.6.9-4.fc13

Comment 15 Fedora Update System 2010-07-04 21:49:48 UTC
zfs-fuse-0.6.9-5.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/zfs-fuse-0.6.9-5.fc13

Comment 16 Fedora Update System 2010-07-04 21:51:39 UTC
zfs-fuse-0.6.9-5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/zfs-fuse-0.6.9-5.fc12

Comment 17 Fedora Update System 2010-07-06 17:20:43 UTC
zfs-fuse-0.6.9-5.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update zfs-fuse'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/zfs-fuse-0.6.9-5.fc12

Comment 18 Fedora Update System 2010-07-06 17:22:31 UTC
zfs-fuse-0.6.9-5.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update zfs-fuse'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/zfs-fuse-0.6.9-5.fc13

Comment 19 Fedora Update System 2010-07-13 07:24:00 UTC
zfs-fuse-0.6.9-5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2010-07-13 07:26:57 UTC
zfs-fuse-0.6.9-5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.